Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.inmemory
Class InMemorySenderBeanMgr

    java.lang.Object
      org.apache.sandesha2.storage.inmemory.InMemoryBeanMgr
          org.apache.sandesha2.storage.inmemory.InMemorySenderBeanMgr

All Implemented Interfaces:
  RMBeanManager, SenderBeanMgr

public class InMemorySenderBeanMgr
extends org.apache.sandesha2.storage.inmemory.InMemoryBeanMgr
implements SenderBeanMgr

Field Summary
`protected InMemoryStorageManager` | `mgr`

Constructor Summary
`InMemorySenderBeanMgr(InMemoryStorageManager mgr, org.apache.axis2.context.AbstractContext context)`

Method Summary
`protected void` | `checkKeys(java.util.List findBeanList)` This try to find conflicting entries in the current table with the passed findBean list.
`protected boolean` | `delete(java.lang.Object key)`
`boolean` | `delete(java.lang.String MessageId)`
`protected java.util.List` | `find(RMBean matchInfo)`
`java.util.List` | `find(SenderBean bean)`
`java.util.List` | `find(java.lang.String internalSequenceID)`
`protected RMBean` | `findUnique(RMBean matchInfo)`
`SenderBean` | `findUnique(SenderBean bean)`
`SenderBean` | `getNextMsgToSend(java.lang.String sequenceId)`
`protected boolean` | `insert(java.lang.Object key, RMBean bean)`
`boolean` | `insert(SenderBean bean)`
`protected RMBean` | `retrieve(java.lang.Object key)`
`SenderBean` | `retrieve(java.lang.String MessageId)`
`SenderBean` | `retrieveFromMessageRefKey(java.lang.String messageContextRefKey)`
`protected boolean` | `update(java.lang.Object key, RMBean bean)`
`boolean` | `update(SenderBean bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mgr

    protected InMemoryStorageManager mgr

Constructor Detail

### InMemorySenderBeanMgr

    public InMemorySenderBeanMgr(InMemoryStorageManager mgr,
                                 org.apache.axis2.context.AbstractContext context)

Method Detail

### delete

    public boolean delete(java.lang.String MessageId)
                   throws SandeshaStorageException

  Specified by:
    `delete` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### retrieve

    public SenderBean retrieve(java.lang.String MessageId)
                        throws SandeshaStorageException

  Specified by:
    `retrieve` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### insert

    public boolean insert(SenderBean bean)
                   throws SandeshaStorageException

  Specified by:
    `insert` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### find

    public java.util.List find(java.lang.String internalSequenceID)
                        throws SandeshaStorageException

  Specified by:
    `find` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### find

    public java.util.List find(SenderBean bean)
                        throws SandeshaStorageException

  Specified by:
    `find` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### getNextMsgToSend

    public SenderBean getNextMsgToSend(java.lang.String sequenceId)
                                throws SandeshaStorageException

  Specified by:
    `getNextMsgToSend` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### update

    public boolean update(SenderBean bean)
                   throws SandeshaStorageException

  Specified by:
    `update` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### findUnique

    public SenderBean findUnique(SenderBean bean)
                          throws SandeshaException

  Specified by:
    `findUnique` in interface `SenderBeanMgr`
  Throws:
    `SandeshaException`

### retrieveFromMessageRefKey

    public SenderBean retrieveFromMessageRefKey(java.lang.String messageContextRefKey)

  Specified by:
    `retrieveFromMessageRefKey` in interface `SenderBeanMgr`
  Parameters:
    `messageContextRefKey` -
  Returns:

### insert

    protected boolean insert(java.lang.Object key,
                             RMBean bean)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### delete

    protected boolean delete(java.lang.Object key)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieve

    protected RMBean retrieve(java.lang.Object key)
                       throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### update

    protected boolean update(java.lang.Object key,
                             RMBean bean)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### find

    protected java.util.List find(RMBean matchInfo)
                           throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findUnique

    protected RMBean findUnique(RMBean matchInfo)
                         throws SandeshaException

  Throws:
    `SandeshaException`

### checkKeys

    protected void checkKeys(java.util.List findBeanList)
                      throws SandeshaStorageException

  This try to find conflicting entries in the current table with the passed findBean list. Each find bean represents a key.

  Parameters:
    `findBeanList` -
  Throws:
    `SandeshaStorageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.